##// END OF EJS Templates
builddeb: add flag for a source-only deb...
Sean Farley -
r28994:8797f03d stable
parent child Browse files
Show More
@@ -10,6 +10,7 b' BUILD=1'
10 10 CLEANUP=1
11 11 DISTID=`(lsb_release -is 2> /dev/null | tr '[:upper:]' '[:lower:]') || echo debian`
12 12 CODENAME=`lsb_release -cs 2> /dev/null || echo unknown`
13 DEBFLAGS=-b
13 14 while [ "$1" ]; do
14 15 case "$1" in
15 16 --distid )
@@ -30,6 +31,10 b' while [ "$1" ]; do'
30 31 shift
31 32 CLEANUP=
32 33 ;;
34 --source-only )
35 shift
36 DEBFLAGS=-S
37 ;;
33 38 * )
34 39 echo "Invalid parameter $1!" 1>&2
35 40 exit 1
@@ -76,7 +81,7 b' if [ "$BUILD" ]; then'
76 81 SRCFILE="mercurial_$(echo $debver | sed "s,-$node,,").orig.tar.gz"
77 82 "$PWD/hg" archive $SRCFILE
78 83 mv $SRCFILE ..
79 debuild -us -uc -i -I -b
84 debuild -us -uc -i -I $DEBFLAGS
80 85 if [ $? != 0 ]; then
81 86 echo 'debuild failed!'
82 87 exit 1
General Comments 0
You need to be logged in to leave comments. Login now